Исправление ошибки Error: XML: Cacti version does not exist

on August 9th, 2012 by Hades | No Comments »

После обновления Cacti до ветки 0.8.8 появляется проблема с инсталляцией старых шаблонов сопровождающие следующей ошибкой:

Error: XML: Cacti version does not exist

Исправляется редактированием строки  в директории include/global_array.php

<code>

“0.8.8” =>  “0024”,

“0.8.8a” => “0025”

</code>

т.е. должен получиться примерно такой вид:

<code>

$hash_version_codes = array(
“0.8.4”  => “0000”,
“0.8.5”  => “0001”,
“0.8.5a” => “0002”,
“0.8.6”  => “0003”,
“0.8.6a” => “0004”,
“0.8.6b” => “0005”,
“0.8.6c” => “0006”,
“0.8.6d” => “0007”,
“0.8.6e” => “0008”,
“0.8.6f” => “0009”,
“0.8.6g” => “0010”,
“0.8.6h” => “0011”,
“0.8.6i” => “0012”,
“0.8.6j” => “0013”,
“0.8.7”  => “0014”,
“0.8.7a” => “0015”,
“0.8.7b” => “0016”,
“0.8.7c” => “0017”,
“0.8.7d” => “0018”,
“0.8.7e” => “0019”,
“0.8.7f” => “0020”,
“0.8.7g” => “0021”,
“0.8.7h” => “0022”,
“0.8.7i” => “0023”,
“0.8.8” =>  “0024”,
“0.8.8a” => “0025”
);

</code>

При обновлении версий будет необходимо дописывать соответствующие строки в $hash_version_codes.